Subject: Re: 23.1; linum mode fails to work with Rmail correctly

From: Mark Lillibridge <[email-masked]>
Date: Sat, 7 Nov 2009 21:44:30 -0800

>  > Since I am guessing Rmail is not the only subsystem where one command
>  > alters a different buffer or only changes a restriction in a different
>  > buffer, linum should be fixed rather than Rmail.  The safest solution
>  > is probably to have linum-update-current just update all buffers.
>  > This strikes me as expensive if there are a lot of buffers, so maybe
>  > you can find a better solution.
>  
>  I think this is enough of a corner case that we can patch up Rmail to
>  call linum-update specially (we can reconsider if more such cases pop
>  up).  I've checked such a fix into CVS.

    Thanks for fixing the bug.  If you want to make the fix less
linum-specific, I suspect you could have Rmail call the
window-scroll-functions hook, which linum has a hook for.

- Mark